EUCA-ASSIGN-PRIVATE-IP-ADDRESSES(1)

NAME
euca-assign-private-ip-addresses - Assign one or more private IP addresses to a network interface

SYNOPSIS
euca-assign-private-ip-addresses [-n INTERFACE]

(--secondary-address ADDRESS | --secondary-count COUNT)
    [--allow-reassignment] [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Assign one or more private IP addresses to a network interface

DESCRIPTION
Note that an instance's type may affect the number of addresses it can hold at once.

  optional arguments:

-n INTERFACE, --network-interface INTERFACE
    ID of the network interface to assign addresses to (required)

--secondary-address ADDRESS, --secondary-private-ip-address ADDRESS
    assign a specific secondary private IP address to the network interface. Use this option multiple times to add additional addresses.

--secondary-count COUNT, --secondary-private-ip-address-count COUNT
    automatically assign a specific number of secondary private IP addresses to the network interface

--allow-reassignment
    Allow addresses to be assigned even if they are already associated with other interfaces

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit